Bug 1030986 - (CVE-2013-4587) CVE-2013-4587 kernel: kvm: rtc_status.dest_map out-of-bounds access
CVE-2013-4587 kernel: kvm: rtc_status.dest_map out-of-bounds access
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131212,repo...
: Security
Depends On: 1042071 1042074
Blocks: 1030995
  Show dependency treegraph
 
Reported: 2013-11-15 07:54 EST by Petr Matousek
Modified: 2015-10-15 14:04 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 07:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-15 07:54:26 EST
In several functions vcpu_id is used as an offset into rtc_status.dest_map in order to set or clear bits in kernel memory, potentially leading to out-of-bound access when vcpu_id is larger than 255. 

An unprivileged local user could use this flaw to elevate their privileges on the system.

Acknowledgements:

Red Hat would like to thank Andrew Honig of Google for reporting this issue.
Comment 1 Petr Matousek 2013-11-15 07:55:44 EST
Statement:

Not vulnerable.

This issue did not affect the versions of kvm packages as shipped with Red Hat Enterprise Linux 5. This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise 6.

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise MRG 2 as they did not provide support for the KVM subsystem.
Comment 4 Petr Matousek 2013-12-12 15:50:53 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1042071]
Comment 5 Fedora Update System 2013-12-20 21:14:13 EST
kernel-3.12.5-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-20 21:24:02 EST
kernel-3.12.5-302.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.